A lightweight extension library for transforming string cases

## Install

Add the dependency to your pubspec.yaml:

```yaml
dependencies:
  string_case_converter: 1.0.0
```

Run pub get to install.

## Getting Started

The package handles converting words to:
#### Camel Case
```dart
print('hello there'.toCamelCase()); // helloThere
```

#### Pascal Case
```dart
print('hello there'.toPascalCase()); // HelloThere
```

#### Kebab Case
```dart
print('hello there'.toKebabCase()); // hello-there
```

#### Snake Case
```dart
print('hello!@£(^)^%*&%^%^% there'.toSnakeCase()); // hello_there
```

#### Constant Case
```dart
print('hello there'.toConstantCase()); //  HELLO_THERE
```


## Changelog

For a detailed changelog, see the [CHANGELOG.md](CHANGELOG.md) file
