extension StringCase on String {

  String _capitaliseFirstLetter(String word) =>
      '${word[0].toUpperCase()}${word.substring(1).toLowerCase()}';

  String _removeSpecialCharacters() =>
      replaceAll(RegExp(r'[^\w\s]+'), '').trim();

  String toPascalCase() => _removeSpecialCharacters()
      .split(" ")
      .map((word) =>
          word != word.toUpperCase() ? _capitaliseFirstLetter(word) : word)
      .join();

  String toCamelCase() =>
      toPascalCase().isNotEmpty ? '${toPascalCase()[0].toLowerCase()}${toPascalCase().substring(1)}' : '';

  String toSnakeCase() =>
      _removeSpecialCharacters().replaceAll(" ", '_').toLowerCase();

  String toConstantCase() =>
      _removeSpecialCharacters().replaceAll(" ", '_').toUpperCase();

  String toKebabCase() =>
      _removeSpecialCharacters().replaceAll(" ", '-').toLowerCase();

}
